select
    a.project_id
     , a.project_name
     , a.accrual_month
     , sum(a.current_sure_money) current_sure_money
     , sum(a.received_money) received_money
     , sum(a.areare_money) areare_money
from dwd_business_contract_bill_d a
         inner join dwd_business_contract_info_d b
                    on a.contract_id = b.id
group by
    a.project_id
       , a.project_name
       , a.accrual_month