
-- ======================================
-- 目标值公司整体填报
-- ======================================


CREATE TABLE ods_hr_collection_target_overall (
 id                     int NOT NULL AUTO_INCREMENT     COMMENT '主键(自增)'
,ym                     varchar(50)     COMMENT '日期(yyyy-MM格式)'
,full_rate_target       decimal(28,10)  COMMENT '满编率目标'
,lz_rate_target         decimal(28,10)  COMMENT '离职率目标'
,lc_fee_rate_target     decimal(28,10)  COMMENT '人力成本费率目标'
,ac_fee_rate_target     decimal(28,10)  COMMENT '行政成本费率目标'
,update_by              varchar(50)     COMMENT '数据更新人'
,update_time            datetime        COMMENT '数据更新时间'
,PRIMARY KEY (id)
) COMMENT='人力目标值填报-公司整体';

SELECT
 ym                    -- 日期(yyyy-MM格式)
,full_rate_target      -- 满编率目标
,lz_rate_target        -- 离职率目标
,lc_fee_rate_target    -- 人力成本费率目标
,ac_fee_rate_target    -- 行政成本费率目标
FROM ods_hr_collection_target_overall
WHERE ym = '${p_ym}'
;

SELECT * FROM ods_hr_collection_target_overall
TRUNCATE TABLE ods_hr_collection_target_overall;


-- VALUE("dict_片区",1,2,B2)
-- VALUE("dict_片区_项目",3,4,C2)