
CREATE TABLE ods_cost_collection_lc_ac (
    id int NOT NULL AUTO_INCREMENT     COMMENT '主键(自增)'
    ,organ_code             varchar(50)     COMMENT 'erp片区code'
    ,organ_name             varchar(100)    COMMENT 'erp片区名称'
    ,comm_id                varchar(50)     COMMENT '项目id'
    ,comm_name              varchar(100)    COMMENT '项目名称'
    ,ym                     varchar(50)     COMMENT '日期(yyyy-MM格式)'
    ,cost_type              varchar(50)     COMMENT '成本类型'
    ,budget_amount          decimal(28,10)  COMMENT '成本预算值'
    ,actual_amount          decimal(28,10)  COMMENT  '成本实际值'
    ,update_by              varchar(50)     COMMENT '数据更新人'
    ,update_time            datetime        COMMENT '数据更新时间'
    ,PRIMARY KEY (id)
) COMMENT='费控人力行政成本填报表';




SELECT
  organ_code             -- erp片区code
 ,organ_name             -- erp片区名称
 ,comm_id                -- 项目id
 ,comm_name              -- 项目名称
 ,ym                     -- 日期(yyyy-MM格式)
 ,cost_type              -- 成本类型
 ,budget_amount          -- 成本预算值
 ,actual_amount          -- 成本实际值'
FROM ods_cost_collection_lc_ac
WHERE ym = '${p_ym}'
AND cost_type = '${p_type}'







TRUNCATE TABLE ods_cost_collection_lc_ac;

SELECT * FROM ods_cost_collection_lc_ac
-- VALUE("dict_片区",1,2,B2)
-- VALUE("dict_片区_项目",3,4,C2)

