-- ****************************************
-- 创建人员: 杨坤安
-- 创建日期: 2024-07-22
-- 功   能: 帆软明细报表-住服比异常项目
-- 目   录: xianzuan>2_运营>住服比异常项目.fvs
-- ****************************************

-- 【数据集: report_住服比】


select
    ${if(len(p_area) == 0,"organ_name","comm_name")} as p_area  -- 片区/项目
   --  organ_name      -- 片区名称
   -- ,comm_name       -- 项目名称
    ,sum(room_num) as room_num        -- 房间总数 【总户数】
    ,sum(check_ins_num) as check_ins_num   -- 入住数   【入住户数】
    ,case when sum(check_ins_num) = 0
              then 0
          else sum(check_ins_num) / sum(room_num)
    end as   occupancy_rate -- 入住率
from dws_operation_room_park_info_d
where 1=1
    ${IF(LEN(p_area)!=0," and organ_code IN ('"+p_area+"')","")}
group by
${if(len(p_area) == 0,"organ_name","comm_name")}


-- 【筛选框数据集: dic_erp片区】

SELECT DISTINCT
    organ_code AS 片区id,
    organ_name AS 片区名称
FROM dim_organ_mapping